@import "../../../../App.scss";

.flights_info_data {
  &:nth-of-type(even) &_header {	
    margin-bottom: 10px;
    &-track {
      &_title {
        &-icon {
          transform: rotate(180deg);
        }
      }
    }
  }
  &:nth-of-type(odd) &_header {	
    &-track {
      border-top-left-radius: 10px;
    }
  }
  border-bottom: 1px solid $light;
  &_header,
  &_body_item {
    &-from {
      &_code {
        grid-area: from-code;
        text-transform: uppercase;
				font-size: 0.9em;
				color: $light;
				font-weight: 500;
      }
      &_title {
        grid-area: from-title;
      }
      &_time {
        grid-area: from-time;
        display: flex;
        align-items: center;
        font-weight: 700;
      }
    }
    &-to {
      &_code {
        grid-area: to-code;
        text-transform: uppercase;
				font-size: 0.9em;
				color: $light;
				font-weight: 500;
      }
      &_title {
        grid-area: to-title;
      }
      &_time {
        grid-area: to-time;
        display: flex;
        align-items: center;
        font-weight: 700;
      }
      &_plus {
        grid-area: to-plus;
        color: $red;
        font-size: 0.8em;
        font-weight: 700;
        display: flex;
        align-items: center;
      }
    }
    &-luggage {
      &_icons {
        grid-area: luggage-icon;
        color: $green;
        margin-right: 10px;
        display: flex;
        &-icon {
          margin-left: 5px;
        }
      }
      &_title {
        grid-area: luggage-title;
      }
    }
  }
}